# Diese beiden Module sollten immer und immer in dieser Reihenfolge
# geladen werden:

use Gimp;
use Gimp::Fu;

Gimp::set_trace(TRACE_NAME);

register "layer_to_image_size",			# Funktionsname
         "Layer to Imagesize", 			# Kurzhilfe
         "Expands layer to image size",		# Hilfetext
         "Seth Burgess",			# Autor
         "Seth Burgess <sjburges\@gimp.org>",	# Copyright
         "1.0",					# Version/Datum
         "<Image>/Layers/Layer to Image Size",	# Menpfad
         "*",					# Bildtypen
         [],					# Eingabeparameter
         sub {					# Perl-Code
   # Es werden zwei Parameter bergeben, ein Bild (IMAGE) und
   # ein DRAWABLE.
   my ($image, $layer) = @_;

   # Ist in $layer wirklich eine Ebene (oder etwas ganz anderes?)
   $layer->layer or die "this function works only with layers\n";
      
   # Verndere die Gre der Ebene
   $layer->resize($image->width, $image->height, $layer->offsets);

   # Keine Rckgabewerte (mu explizit angegeben werden)
   ();
};

exit main;

